#module imports
from fielddisplay import fielddisplay
class balancethickness:
	#properties
	def __init__(self):
		# {{{ Properties
		self.spcthickness = float('NaN')
		self.thickening_rate           = float('NaN')
		self.stabilization           = 0

		#set defaults
		self.setdefaultparameters()

		#}}}
	def __repr__(obj):
		# {{{ Display
		
		string='   balance thickness solution parameters:' 
		
		string="%s\n\n%s"%(string,fielddisplay(obj,'spcthickness','thickness constraints (NaN means no constraint)'))
		string="%s\n%s"%(string,fielddisplay(obj,'thickening_rate','ice thickening rate used in the mass conservation (dh/dt)'))
		string="%s\n%s"%(string,fielddisplay(obj,'stabilization','0: None, 1: SU, 2: MacAyeal''s artificial diffusivity, 3:DG'))
		return string
		#}}}
	def setdefaultparameters(obj):
		# {{{setdefaultparameters
		
		#Type of stabilization used
		obj.stabilization=1

		return obj
	#}}}

